.. This file was generated by Utilities/Scripts/regenerate-presets.py
   from Help/manual/presets/schema.yaml. Do not edit.

.. _`CMakePresets.testPresets.filter.exclude.name`:

``name``
  An optional string specifying a regex for test names.
  Equivalent to passing :ctest-option:`--exclude-regex` on
  the command line. This field supports `macro expansion`_.

.. _`CMakePresets.testPresets.filter.exclude.label`:

``label``
  An optional string specifying a regex for test labels.
  Equivalent to passing :ctest-option:`--label-exclude` on
  the command line. This field supports `macro expansion`_.

.. _`CMakePresets.testPresets.filter.exclude.fixtures`:

``fixtures``
  An optional object specifying which fixtures to exclude
  from adding tests. The object may contain the following
  fields:

  .. include:: presets/fixtures-properties.rst
